using InABox.Core;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace InABox.Database
{
    public class SecurityTokenStore : Store<SecurityToken>
    {
        protected override void OnDelete(SecurityToken entity)
        {
            Provider.Purge(entity);
        }
        protected override void OnDelete(IEnumerable<SecurityToken> entities)
        {
            Provider.Purge(entities);
        }
    }
}
